@charset "UTF-8";
.fade-enter-active[data-v-11b63d93],
.fade-leave-active[data-v-11b63d93] {
  transition: opacity 0.5s;
}
.fade-enter[data-v-11b63d93],
.fade-leave-to[data-v-11b63d93] {
  opacity: 0;
}
.flash-message[data-v-11b63d93] {
  position: fixed;
  top: 20px;
  left: 50%;
  transform: translateX(-50%);
  display: flex;
  align-items: center;
  padding: 10px 16px;
  border-radius: 4px;
  border: 1px solid transparent;
  box-shadow: 3px 4px 4px 0px rgba(0, 0, 0, 0.3);
  z-index: 9999;
}
.flash-message .message-text[data-v-11b63d93] {
  white-space: pre-wrap;
}
.flash-message .close[data-v-11b63d93] {
  margin-left: 10px;
  background: transparent;
  border: none;
  cursor: pointer;
  font-size: 16px;
  line-height: 1;
}
.flash-message .icon-wrapper[data-v-11b63d93] {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-right: 8px;
  width: 24px;
  height: 24px;
  border-radius: 50%;
}

/* ===== 種類別のスタイル ===== */
.flash-message.info[data-v-11b63d93] {
  background-color: #d9edf7;
  color: #31708f;
}
.flash-message.success[data-v-11b63d93] {
  background-color: #e9f8ee;
  border: 1px solid #2eb85c;
}
.flash-message.success .icon-wrapper[data-v-11b63d93] {
  background-color: #34a06f;
  color: #ffffff;
}
.flash-message.warning[data-v-11b63d93] {
  background-color: #fcf8e3;
  color: #8a6d3b;
}
.flash-message.error[data-v-11b63d93] {
  background-color: #f2dede;
  color: #a94442;
}
